﻿@model IEnumerable<DataAccess.Entities.Company>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Type)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.IdNumber)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
           
                @Html.DisplayName(item.Type != 0 ? "იურიდიული პირი" : "ფიზიკური პირი")
           
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Title)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.IdNumber)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @*@Html.ActionLink("Delete", "Delete", new { id=item.Id })*@
            @Html.ActionLink("Delete", "Delete", new { id = item.Id }, 
                          new { onclick = "return confirm('გსურთ წაშალოთ კომპანია?');" })
        </td>
    </tr>
}

</table>
 
